Documentation
¶
Index ¶
- type PrintServiceEndpointRequestBuilder
- func (m *PrintServiceEndpointRequestBuilder) CreateDeleteRequestInformation(options *PrintServiceEndpointRequestBuilderDeleteOptions) (...)
- func (m *PrintServiceEndpointRequestBuilder) CreateGetRequestInformation(options *PrintServiceEndpointRequestBuilderGetOptions) (...)
- func (m *PrintServiceEndpointRequestBuilder) CreatePatchRequestInformation(options *PrintServiceEndpointRequestBuilderPatchOptions) (...)
- func (m *PrintServiceEndpointRequestBuilder) Delete(options *PrintServiceEndpointRequestBuilderDeleteOptions) error
- func (m *PrintServiceEndpointRequestBuilder) Get(options *PrintServiceEndpointRequestBuilderGetOptions) (...)
- func (m *PrintServiceEndpointRequestBuilder) Patch(options *PrintServiceEndpointRequestBuilderPatchOptions) error
- type PrintServiceEndpointRequestBuilderDeleteOptions
- type PrintServiceEndpointRequestBuilderGetOptions
- type PrintServiceEndpointRequestBuilderGetQueryParameters
- type PrintServiceEndpointRequestBuilderPatchOptions
Constants ¶
This section is empty.
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type PrintServiceEndpointRequestBuilder ¶
type PrintServiceEndpointRequestBuilder struct {
// contains filtered or unexported fields
}
PrintServiceEndpointRequestBuilder builds and executes requests for operations under \print\services\{printService-id}\endpoints\{printServiceEndpoint-id}
func NewPrintServiceEndpointRequestBuilder ¶
func NewPrintServiceEndpointRequestBuilder(rawUrl string, requestAdapter ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestAdapter) *PrintServiceEndpointRequestBuilder
NewPrintServiceEndpointRequestBuilder instantiates a new PrintServiceEndpointRequestBuilder and sets the default values.
func NewPrintServiceEndpointRequestBuilderInternal ¶
func NewPrintServiceEndpointRequestBuilderInternal(pathParameters map[string]string, requestAdapter ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestAdapter) *PrintServiceEndpointRequestBuilder
NewPrintServiceEndpointRequestBuilderInternal instantiates a new PrintServiceEndpointRequestBuilder and sets the default values.
func (*PrintServiceEndpointRequestBuilder) CreateDeleteRequestInformation ¶
func (m *PrintServiceEndpointRequestBuilder) CreateDeleteRequestInformation(options *PrintServiceEndpointRequestBuilderDeleteOptions) (*ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestInformation, error)
CreateDeleteRequestInformation endpoints that can be used to access the service. Read-only. Nullable.
func (*PrintServiceEndpointRequestBuilder) CreateGetRequestInformation ¶
func (m *PrintServiceEndpointRequestBuilder) CreateGetRequestInformation(options *PrintServiceEndpointRequestBuilderGetOptions) (*ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestInformation, error)
CreateGetRequestInformation endpoints that can be used to access the service. Read-only. Nullable.
func (*PrintServiceEndpointRequestBuilder) CreatePatchRequestInformation ¶
func (m *PrintServiceEndpointRequestBuilder) CreatePatchRequestInformation(options *PrintServiceEndpointRequestBuilderPatchOptions) (*ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestInformation, error)
CreatePatchRequestInformation endpoints that can be used to access the service. Read-only. Nullable.
func (*PrintServiceEndpointRequestBuilder) Delete ¶
func (m *PrintServiceEndpointRequestBuilder) Delete(options *PrintServiceEndpointRequestBuilderDeleteOptions) error
Delete endpoints that can be used to access the service. Read-only. Nullable.
func (*PrintServiceEndpointRequestBuilder) Get ¶
func (m *PrintServiceEndpointRequestBuilder) Get(options *PrintServiceEndpointRequestBuilderGetOptions) (*i4a838ef194e4c99e9f2c63ba10dab9cb120a89367c1d4ab0daa63bb424e20d87.PrintServiceEndpoint, error)
Get endpoints that can be used to access the service. Read-only. Nullable.
func (*PrintServiceEndpointRequestBuilder) Patch ¶
func (m *PrintServiceEndpointRequestBuilder) Patch(options *PrintServiceEndpointRequestBuilderPatchOptions) error
Patch endpoints that can be used to access the service. Read-only. Nullable.
type PrintServiceEndpointRequestBuilderDeleteOptions ¶
type PrintServiceEndpointRequestBuilderDeleteOptions struct {
// Request headers
H map[string]string
// Request options
O []ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestOption
// Response handler to use in place of the default response handling provided by the core service
ResponseHandler ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.ResponseHandler
}
PrintServiceEndpointRequestBuilderDeleteOptions options for Delete
type PrintServiceEndpointRequestBuilderGetOptions ¶
type PrintServiceEndpointRequestBuilderGetOptions struct {
// Request headers
H map[string]string
// Request options
O []ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestOption
// Request query parameters
Q *PrintServiceEndpointRequestBuilderGetQueryParameters
// Response handler to use in place of the default response handling provided by the core service
ResponseHandler ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.ResponseHandler
}
PrintServiceEndpointRequestBuilderGetOptions options for Get
type PrintServiceEndpointRequestBuilderGetQueryParameters ¶
type PrintServiceEndpointRequestBuilderGetQueryParameters struct {
// Expand related entities
Expand []string
// Select properties to be returned
Select []string
}
PrintServiceEndpointRequestBuilderGetQueryParameters endpoints that can be used to access the service. Read-only. Nullable.
type PrintServiceEndpointRequestBuilderPatchOptions ¶
type PrintServiceEndpointRequestBuilderPatchOptions struct {
//
Body *i4a838ef194e4c99e9f2c63ba10dab9cb120a89367c1d4ab0daa63bb424e20d87.PrintServiceEndpoint
// Request headers
H map[string]string
// Request options
O []ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.RequestOption
// Response handler to use in place of the default response handling provided by the core service
ResponseHandler ida96af0f171bb75f894a4013a6b3146a4397c58f11adb81a2b7cbea9314783a9.ResponseHandler
}
PrintServiceEndpointRequestBuilderPatchOptions options for Patch